Package net.shibboleth.idp.saml.saml2.profile.impl

# Class ProcessAssertionsForAuthentication.DefaultResponseResolver

java.lang.Object
net.shibboleth.idp.saml.saml2.profile.impl.ProcessAssertionsForAuthentication.DefaultResponseResolver

All Implemented Interfaces:
  `Function<ProfileRequestContext,Response>`

Enclosing class:
  ProcessAssertionsForAuthentication

private final class ProcessAssertionsForAuthentication.DefaultResponseResolver extends Object implements Function<ProfileRequestContext,Response>
The default response resolver function. NOTE: this is relative to the nested profile request context. Need to compose with other lookup function against the main/outer profile request context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DefaultResponseResolver()`

## Method Summary

Modifier and Type
Method
Description
`Response`
`apply(ProfileRequestContext profileContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### DefaultResponseResolver

private DefaultResponseResolver()

## Method Details

### apply

@Nullable public Response apply(@Nullable ProfileRequestContext profileContext)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Response>`